Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 811750 - Review Request: python-tw2-jqplugins-gritter - jQuery gritter (growl-like popups) for ToscaWidgets2
Summary: Review Request: python-tw2-jqplugins-gritter - jQuery gritter (growl-like pop...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 811739
Blocks: 818293
TreeView+ depends on / blocked
 
Reported: 2012-04-11 21:29 UTC by Ralph Bean
Modified: 2014-11-12 22:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-26 07:30:33 UTC
Type: ---
michel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2012-04-11 21:29:17 UTC
Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-gritter.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-gritter-2.0.0-1.fc17.src.rpm
Description:
This module provides growl like popups with the gritter plugin for
python-tw2-jqplugins-ui.

----

This module depends on python-tw2-jqplugins-ui which is currently up for review - https://bugzilla.redhat.com/show_bug.cgi?id=811739

Comment 1 Ralph Bean 2012-05-02 23:18:04 UTC
Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-gritter.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-gritter-2.0.1-1.fc17.src.rpm

New upstream release that includes the LICENSE.

Comment 2 Ralph Bean 2012-05-03 13:12:20 UTC
A question came up in #fedora-devel as to whether or not we can bundle javascript intended to be served by a web app.  There is an explicit exemption in the packaging guidelines making this "OK".

http://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries

Comment 3 Michel Alexandre Salim 2012-05-04 10:19:49 UTC
Taking this review and #812059; could you swap with https://bugzilla.redhat.com/show_bug.cgi?id=787193  ? Thanks!

Comment 4 Ralph Bean 2012-05-04 15:16:25 UTC
Sure thing!  I've taken it.

Comment 5 Michel Alexandre Salim 2012-05-05 05:58:08 UTC
Thanks! Starting the review by installing the required tw2 packages by hand into my local mock.

rpmlint output:
python-tw2-jqplugins-gritter-2.0.1-1.fc17.src.rpm:

python-tw2-jqplugins-gritter.src: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
python-tw2-jqplugins-gritter.src: W: summary-not-capitalized C jQuery gritter (growl-like pop-ups) for ToscaWidgets2
python-tw2-jqplugins-gritter.src: W: spelling-error %description -l en_US ui -> ii, u, i
1 packages and 0 specfiles checked; 0 errors, 3 warnings.


python-tw2-jqplugins-gritter-2.0.1-1.fc17.noarch.rpm:
python-tw2-jqplugins-gritter.noarch: W: spelling-error Summary(en_US) jQuery -> j Query, query, equerry
python-tw2-jqplugins-gritter.noarch: W: summary-not-capitalized C jQuery gritter (growl-like pop-ups) for ToscaWidgets2
python-tw2-jqplugins-gritter.noarch: W: spelling-error %description -l en_US ui -> ii, u, i
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

All are harmless spelling false-positives.

Regarding the bundled javascript -- is that in the main tw2-jquery package? I don't see any file in -gritter that seems to belong to another already-shipped package.
 
Review checklist below. Note the comment on macro (though that's not important), but more importantly, directory ownership

* TODO Review [90%]
  - [X] Names [2/2]
    - [X] Package name
    - [X] Spec name
  - [X] Package version [2/2]
	http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Package_Versioning
    - [X] Version number
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Version_Tag
    - [X] Release tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Release_Tag
	  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Pre-Release_packages
  - [X] Meets [[http://fedoraproject.org/wiki/Packaging/Guidelines][guidelines]]
  - [X] Source files match upstream
    sha256sum ./tw2.jqplugins.gritter-2.0.1.tar.gz ~/rpmbuild/SOURCES/tw2.jqplugins.gritter-2.0.1.tar.gz 
  7491cf18380010c1cbc6008769a07897f0f301b3135050172aabdfb37dad4adf  ./tw2.jqplugins.gritter-2.0.1.tar.gz
  7491cf18380010c1cbc6008769a07897f0f301b3135050172aabdfb37dad4adf  /home/michel/rpmbuild/SOURCES/tw2.jqplugins.gritter-2.0.1.tar.gz
  - [X] [[http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries][No bundled libraries]]
  - [X] License [4/4]
    - [X] License is Fedora-approved
    - [X] No licensing conflict
    - [X] License field accurate
    - [X] License included iff packaged by upstream
  - [X] rpmlint [2/2]
    - [X] on src.rpm
    - [X] on x86_64.rpm
  - [X] Language & locale [2/2]
    - [X] Spec in US English
    - [X] Spec legible
  - [-] Build [2/3]
    - [X] Koji results
      local mock in lieue of Koji
    - [X] BRs complete
    - [ ] Directory ownership
      The wildcard makes this package also owns the following, which
      should be owned by packages it depend on:
      %{python_sitelib}/tw2
      %{python_sitelib}/tw2/jqplugins

      Perhaps change this to:
      %{python_sitelib}/tw2.jqplugins.gritter*
      %{python_sitelib}/tw2/jqplugins/gritter

  - [X] Spec inspection [5/5]
    - [X] No duplicate files
    - [X] File permissions
    - [X] Filenames must be UTF-8
    - [X] no BuildRoot ([[https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag][except if targeting RHEL5]])
    - [X] Macro usage consistent
      note that you can just use 0%{?rhel} rather than
      %{?rhel}%{!?rhel:0}

Comment 6 Ralph Bean 2012-05-07 17:26:47 UTC
Here's a new release that (hopefully) fixes the directory ownership issue you pointed out.

I left the rhel macro as-is to maintain consistency across the python-tw2-* packages.  Thanks for the tip, though!  :)

Spec URL: http://threebean.org/rpm/python-tw2-jqplugins-gritter.spec
SRPM URL: http://threebean.org/rpm/python-tw2-jqplugins-gritter-2.0.1-2.fc17.src.rpm

Comment 7 Michel Alexandre Salim 2012-05-08 10:41:38 UTC
Looks good -- APPROVED

Comment 8 Ralph Bean 2012-05-08 21:15:55 UTC
New Package SCM Request
=======================
Package Name: python-tw2-jqplugins-gritter
Short Description: jQuery gritter (growl-like popups) for ToscaWidgets2
Owners: ralph
Branches: f17 el6
InitialCC:

Comment 9 Gwyn Ciesla 2012-05-09 12:31:08 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2012-05-09 18:55:39 UTC
python-tw2-jqplugins-gritter-2.0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-gritter-2.0.1-2.fc17

Comment 11 Fedora Update System 2012-05-09 19:06:03 UTC
python-tw2-jqplugins-gritter-2.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tw2-jqplugins-gritter-2.0.1-2.el6

Comment 12 Fedora Update System 2012-05-10 20:38:23 UTC
python-tw2-jqplugins-gritter-2.0.1-2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-05-26 07:30:33 UTC
python-tw2-jqplugins-gritter-2.0.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2012-05-26 22:08:07 UTC
python-tw2-jqplugins-gritter-2.0.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Ralph Bean 2014-11-12 20:25:09 UTC
Package Change Request
======================
Package Name: python-tw2-jqplugins-gritter
New Branches: epel7
Owners: ralph
InitialCC:

Comment 16 Gwyn Ciesla 2014-11-12 22:09:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.